package com.gic.haoban.manage.web.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.web.vo.MemberChatVO;
import com.gic.member.api.dto.MemberDTO;
import com.gic.member.api.service.MemberService;

@RestController
@RequestMapping("/member")
public class MemberController {
    
    @Autowired
    private MemberService  memberService ;
        
    @RequestMapping("member-info")
    public RestResponse<Object> memberInfo(String memberId) {
        MemberDTO member =  this.memberService.getMember(memberId) ;
        MemberChatVO vo = new MemberChatVO() ;
        if(null != member) {
            vo.setMemberName(member.getThirdNickname());
            vo.setMemberImage(member.getThirdImgUrl());
            vo.setPhone(member.getPhoneNumber());
        }
        return RestResponse.successResult(vo) ;
    }
    
}
